Vulnerability CVE-2013-1664


Published: 2013-04-02   Modified: 2013-04-03

Description:
The XML libraries for Python 3.4, 3.3, 3.2, 3.1, 2.7, and 2.6, as used in OpenStack Keystone Essex, Folsom, and Grizzly; Compute (Nova) Essex and Folsom; Cinder Folsom; Django; and possibly other products allow remote attackers to cause a denial of service (resource consumption and crash) via an XML Entity Expansion (XEE) attack.

CVSS2 => (AV:N/AC:L/Au:N/C:N/I:N/A:P)

CVSS Base Score
Impact Subscore
Exploitability Subscore
5/10
2.9/10
10/10
Exploit range
Attack complexity
Authentication
Remote
Low
No required
Confidentiality impact
Integrity impact
Availability impact
None
None
Partial
Affected software
Openstack -> Cinder folsom 
Openstack -> Compute (nova) essex 
Openstack -> Compute (nova) folsom 
Openstack -> Folsom 
Openstack -> Grizzly 
Openstack -> Keystone essex 

 References:
https://bugs.launchpad.net/nova/+bug/1100282
http://www.openwall.com/lists/oss-security/2013/02/19/4
http://www.openwall.com/lists/oss-security/2013/02/19/2
http://ubuntu.com/usn/usn-1757-1
http://rhn.redhat.com/errata/RHSA-2013-0670.html
http://rhn.redhat.com/errata/RHSA-2013-0658.html
http://rhn.redhat.com/errata/RHSA-2013-0657.html
http://lists.openstack.org/pipermail/openstack-announce/2013-February/000078.html
http://bugs.python.org/issue17239
http://blog.python.org/2013/02/announcing-defusedxml-fixes-for-xml.html

Copyright 2022, cxsecurity.com

 

Back to Top